/*
 * Tencent is pleased to support the open source community by making QMUI_Android available.
 *
 * Copyright (C) 2017-2018 THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the MIT License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 *
 * http://opensource.org/licenses/MIT
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is
 * distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.qmuiteam.qmuidemo.fragment.components;

import androidx.annotation.Nullable;

import com.qmuiteam.qmui.arch.scheme.QMUIDefaultSchemeMatcher;
import com.qmuiteam.qmui.arch.scheme.SchemeItem;

import java.util.Map;

public class SliderSchemeMatcher extends QMUIDefaultSchemeMatcher {

    @Override
    public boolean match(SchemeItem schemeItem, @Nullable Map<String, String> params) {
        if (params != null) {
            try {
                String modeStr = params.get("mode");
                if (modeStr != null && !modeStr.isEmpty()) {
                    int mode = Integer.parseInt(modeStr);
                    return mode > 4;
                }
            } catch (Throwable ignore) {

            }
        }
        return false;
    }
}
